package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.step;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductionCustomContextStepService;
import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
import cn.estsh.i3plus.mes.pcn.serviceimpl.fsm.BaseStepService;
import cn.estsh.i3plus.mes.pcn.serviceimpl.fsm.IStepService;
import cn.estsh.i3plus.pojo.base.enumutil.MesPcnEnumUtil;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import cn.estsh.i3plus.pojo.mes.model.StationResultBean;
import cn.estsh.i3plus.pojo.mes.model.StepResult;
import cn.estsh.impp.framework.boot.util.SpringContextsUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description : 原料站点上料扫描容器条码工步
 * @Author : wangjie
 **/
@Slf4j
@Service("mesStationFeedContainerSnByPsInStepService")
public class MesStationFeedContainerSnByPsInStepService extends BaseStepService {

    @Autowired
    private IMesProductionCustomContextStepService productionCustomContextStepService;

    @Override
    public StepResult guide(StationRequestBean reqBean) {

        //发送工步内容
        productionCustomContextStepService.sendStepContextMessage(reqBean);

        return stepSuccessCompleteAndSendGuideReturn(reqBean, new StationResultBean().writeDbLog(MesPcnEnumUtil.WORK_CELL_SCAN_MONITOR_LOG_TYPE.PROCESS.getValue()), "请扫描容器条码!");

    }

    @Override
    public StepResult execute(StationRequestBean reqBean) {

        reqBean.getDataMap().put(MesPcnExtConstWords.MATCH_STATION_CONTEXT_FLAG, MesPcnExtConstWords.MATCH_STATION_PRODUCT_SN_CONTEXT);

        return ((IStepService) SpringContextsUtil.getBean("mesStationFeedContainerSnByFlagStepService")).executeInState(reqBean);

    }

}
